#
# Copyright (c) 2000-2003 Turbolinux, inc. 
# This file and all modifications and/or additions are under 
# the same license as package itself.

%define _name opfc-ModuleHP
%define _ver  1.1.1
%define _rel  1.1AX
%define opfc_prefix opfc-

Summary: OpenPrinting Japan - Hewlett-Packard printer Modules
Name: %{_name}
Version: %{_ver}
Release: %{_rel}
License: See the COPYING/LICENSE file in each package. 
Group: Applications/System
SOURCE: %{name}-%{version}_withIPAFonts.tar.gz
Buildroot: %{_tmppath}/%{name}-root
#Requires: opvp >= 1.0.0
BuildRequires: cups-devel

%description
This package is the part of "OpenPrinting Japan API Reference Implementation".

Printer driver modules for HewlettPackard printers.Included are:
 opvpDriver-HP-ColorLaserJet4600 (Vector printer driver for HP-ColorLaserJet4600)
 opvpDriver-HP-ColorLaserJet5500 (Vector printer driver for HP-ColorLaserJet5500)

%package -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet4600
Version: 1.1.1
Summary: Vector printer drivers for HP-ColorLaserJet4600
License: See COPYING file
Group: System Environment/Libraries
#Requires: opvp >= 1.0.0

%description -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet4600
This package is the part of "OpenPrinting Japan API Reference Implementation".
Vector printer drivers for HewlettPackard ColorLaserJet4600

%package -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet5500
Version: 1.1.1
Summary: Vector printer drivers for HP-ColorLaserJet5500
License: See COPYING file
Group: System Environment/Libraries
#Requires: opvp >= 1.0.0

%description -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet5500
This package is the part of "OpenPrinting Japan API Reference Implementation".
Vector printer drivers for HewlettPackard ColorLaserJet5500

%package -n %{opfc_prefix}fonts-ja
Version: 1.1.1
Summary: IPA Fonts for Japanese
License: IPA Font License
Group: User Interface/X
Requires(post,postun): /usr/sbin/chkfontpath /usr/X11R6/bin/mkfontdir
Requires(post,postun): ttmkfdir >= 3.0.6
# The post and postun scripts use fc-cache, from the fontconfig package
Requires(post,postun): fontconfig


%description -n %{opfc_prefix}fonts-ja
This package provides IPA fonts for Japanese environment. These fonts are distributed with OpenPrinting.

%prep
%setup -q -n %{name}-%{version}_withIPAFonts

%build
CFLAGS="$RPM_OPT_FLAGS" \
%configure --enable-IPAFonts
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libHPPageColor.a
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libHPPageColor.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet4600 -p /sbin/ldconfig
%postun -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet4600 -p /sbin/ldconfig

%post -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet5500 -p /sbin/ldconfig
%postun -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet5500 -p /sbin/ldconfig

%define ipafontdir %{_datadir}/fonts/ja/TrueType/

%post -n %{opfc_prefix}fonts-ja
{
	touch %{ipafontdir} 2> /dev/null && {
                /usr/bin/ttmkfdir -d %{ipafontdir} -o %{ipafontdir}/fonts.scale
                /usr/X11R6/bin/mkfontdir %{ipafontdir}
                /usr/sbin/chkfontpath -q -a %{ipafontdir}
        }

        HOME=/root fc-cache 2>/dev/null
}

%postun -n %{opfc_prefix}fonts-ja
{
        if [ "$1" = "0" ];
        then
                /usr/bin/ttmkfdir -d %{ipafontdir} -o %{ipafontdir}/fonts.scale
                /usr/X11R6/bin/mkfontdir %{ipafontdir}
                /usr/sbin/chkfontpath -q -r %{ipafontdir}
        fi
        HOME=/root fc-cache 2>/dev/null
}


%files -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet4600
%defattr(-,root,root)
%doc COPYING README ChangeLog
%doc README.jp
%{_libdir}/libHPPageColor.so*
%{_datadir}/cups/model/OPVP-HP-Color_LaserJet_4600.ppd

%files -n %{opfc_prefix}opvpDriver-HP-ColorLaserJet5500
%defattr(-,root,root)
%doc COPYING README ChangeLog
%doc README.jp
%{_libdir}/libHPPageColor.so*
%{_datadir}/cups/model/OPVP-HP-Color_LaserJet_5500.ppd

%files -n %{opfc_prefix}fonts-ja
%doc fonts/COPYING.font.ja
%{_datadir}/fonts/ja/TrueType/ipag.ttf
%{_datadir}/fonts/ja/TrueType/ipagp.ttf
%{_datadir}/fonts/ja/TrueType/ipagui.ttf
%{_datadir}/fonts/ja/TrueType/ipam.ttf
%{_datadir}/fonts/ja/TrueType/ipamp.ttf


%changelog
* Fri May  6 2005 Yasuma Takeda <yasuma@miraclelinux.com> - 1.1.1-1.1AX
- enable IPA font

* Thu Mar 24 2005 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> - 1.1.1
- fixed memory leak [opfc:1155]

* Wed Mar 31 2004 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- repackage for Turbolinux
